/*->h.xcolour */


#define OURBLACK   0x10000,1,0
#define OURWHITE   0x10000,2,0
#define OURTRANS   0x10000,3,0
#define KEYTRANS   3
#define KEYREG     10
#define KEYCYAN    7
#define KEYYELLOW  9
#define KEYMAGENTA 8
#define KEYBLACK   1


#define DEFOVERPRINT ((0x10000*90)/100)


#define MAXTINT 0x10000
#define MAXCV   0x10000


#define DSTCOLOUR 0x200


extern int renamecolours;

extern int        cmpcolourval(colourvalue * c1,colourvalue * c2);

extern int        cmpcolourdataf(colourvalue * c1,filestr * file1,
                                 colourvalue * c2,filestr * file2);

extern os_error * newcolourmap(filestr * file,int defaults);

extern os_error * findcolourname(filestr * file,colourvalue * c,char * p);

extern os_error * mapcolour(filestr * sfile,filestr * dfile,
                                                  colourvalue * cv,int mode);

extern os_error * getcolour(int pal,int trans,colourvalue * cv,filestr * file);


extern os_error * dsputcolour(int key,filestr * file,buffer * bf);
extern char     * dscvstring(colourvalue * cv,filestr * file);
extern char     * dscvstring2(colourvalue * cv,filestr * file);



extern void       cvfrompal(colourvalue * cv,int pal);
extern int        palfromcv(colourvalue * cv);

extern int        vfindcolour(viewstr * view,colourvalue * cv);
extern int        vfindcolour2(viewstr * view,filestr * file,colourvalue * cv);
extern os_error * vsetcolour(colourvalue * cv,int * transparent,viewstr * view);
extern os_error * vsetcolourfile(colourvalue * cv,int * transparent,filestr * file);

extern int        vfindcolour2t(viewstr * view,filestr * file,colourvalue * cv,
                                                           int * transparent);

extern int        vcolourtrans(viewstr * view,filestr * file,colourvalue * cv);

extern int        transparentcolour(colourvalue * cv,filestr* file);



extern os_error * colourinit(void);

