/*->h.fox */




extern int        getfontname(int fp);
extern int        getfontsubname(int fp);
extern int        fontschanged(int fp);
extern void       forcefontschange(int fp);

extern os_error * fontinit(void);

extern os_error * validfont(int osfont,int fxpts,int fypts,int fangle,int * fh,int * fchange);

extern os_error * fontcharsize(int fonth,int c,int * w,int * h);
extern os_error * fontcharwidth(int osfont,int xpts,int ypts,int c,int * w,int * h);
extern os_error * fontbbox(int osfont,int xpts,int ypts,font_info * fi1,font_info * fi2);
extern os_error * fontcharbbox(int osfont,int xpts,int ypts,int c,font_info * fi);
extern os_error * fontreadfontdata(int osfont);

extern os_error * fontgetcode8(int c,int osfont,char * p,int * n);
extern os_error * fontgetcode16(int c,int osfont,wchar_t * p,int * n);
extern os_error * fontglyph(int osfont,int c,int * exists);


extern int        fontosfromuser(int userfont);



extern char     * fontlocalnamei(int i);
extern char     * fontidentifieri(int i);
extern os_error * fontglyphs(int osfont,int ** glyphs,int * nglyph);
extern int        fontcharset(int i);
extern int        fontweight(int i);
extern int        fonttype(int i);
extern int        fontitalic(int i);
extern int        fontpitch(int i);
extern int        fontfamily(int i);
extern int        fontaveragewidth(int i);
extern int        fontdesignsize(int i);
extern int        fontnpairs(int i);
extern void     * fontkdata(int i);

extern int        fontostotal(void);

extern char     * fontosname(int osfont);
extern char     * fontosfamilyname(int osfont);
extern char     * fontusername(int userfont);
extern int        fontuserpseudo(int userfont);
extern char     * fontlocalname2(int c,int sn,int bits);
extern int        fontsubcount(int userfont);



extern int        findxuserfont(char * name);
extern int        findxuserfontstyle(char * name,int * bold,int * italic);
extern void       finduserfontstyle(int ifn,int * bold,int * italic);

extern int        findreplacementfont(char * fontid);

extern char     * findpostscriptfont(char * fontid);

extern int        ufont(int ifn);
extern int        ifont(int ufn);

extern int        fontuserfromstyle(int ufn,int bold,int italic);
extern int        fontuserfromstyle2(int ifn,int bold,int italic);
extern int        fontuserstyle(int ifn);
extern int        fontosstyle(int osfont);

extern int        fontbits;
extern void       fontsetup(int fp);


extern char     * fontmaps;
extern int        fontmaplen;
extern int        fontmapactive;

extern char     * fontignores;
extern int        fontignorelen;
extern int        fontignoreactive;

extern char     * fontreplaces;
extern int        fontreplacelen;
extern int        fontreplaceactive;

extern char     * fontpostscript;
extern int        fontpostscriptlen;
extern int        fontpostscriptactive;



extern void       fontreplace(int fp);
extern int        fontreplacestate(int fp);
extern void       fontremovereplace(int fp);
extern void       fontclearreplace(int fp);

extern int        fontpostscriptstate(int fp);
extern void       fontpostscriptx(int fp);
extern void       fontremovepostscript(int fp);
extern void       fontclearpostscript(int fp);

extern void       fontignore(int fp);
extern int        fontignorestate(int fp);
extern void       fontremoveignore(int fp);
extern void       fontclearignore(int fp);

extern void       fontmap(int fp);
extern int        fontmapstate(int fp);
extern void       fontremovemap(int fp);
extern void       fontclearmap(int fp);

extern oshdc      fonthdcptr;


extern int fontkernshift(int osfont,int first,int second);


#define FPWCS 0x80000000

extern os_error * fontplacement(int osfont,int xpts,int ypts,font_string * fs,int * exts,int xflags,int dx,int ddx);




