/*->c.txptr */


#include "stdafx.h"

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>


#include "os.h"
#include "wimp.h"
#include "wimpt.h"
#include "werr.h"
#include "wos.h"
#include "flex.h"
#include "bbc.h"


#include "sp.h"
#include "transform.h"


#include "str.h"
#include "constants.h"



#include "file.h"

#include "tools.h"


#include "txstr.h"
#include "act.h"


#include "txptr.h"




static pointstr scrapptr=
{
 "p_scrap",12,12
};


static pointstr insertptr=
{
 "p_insert",5,10
};




static os_error * flushcache(void)
{
/* os_regset rx;
 return(os_swix(ColourTrans_InvalidateCache,&rx));*/
 return(NULL);
}


//static os_regset saverx;


static os_error * sp_switch(void)
{
 os_error * err;

 err=NULL;

 return(err);

#ifdef NEVER

 saverx.r[0]=0x100+60;
 saverx.r[1]=(int)sprites;
 saverx.r[2]=(int)scrapptr.name;
 saverx.r[3]=0;

 err=os_swix(OS_SpriteOp,&saverx);  /* output to sprite/mask */
 if(!err)
 {
  flushcache();
 }
 return(err);

#endif
}


static os_error * switchtoscreen(void)
{
 os_error * err;

 err=NULL;

// err=os_swix(OS_SpriteOp,&saverx);

 flushcache();

 return(err);
}




os_error * settxptr(int priority)
{
 os_error   * err;
// sprite_id    id;
 textboxstr * textp;
// transformstr tr1;
// transformstr tr2;
// transformstr tr3;
// transformstr tr4;
// transformstr tr5;
// transformstr tr;


 textp=(textboxstr*)fob_find(act.textsrc.text,act.file);
 if(textp->data.transform.b || textp->data.transform.c)
 {
  err=NULL;

#ifdef NEVER
  sp_switch();
  bbc_vdu(16);

  id.tag=sprite_id_name;
  id.s.name=insertptr.name;

  tr=textp->data.transform;
  tr.e=tr.f=0;

  tr_setshift(&tr1,-insertptr.x*2*256,-insertptr.y*2*256);
  tr_inverse(&tr,&tr2);  /* 3=1*2 */

  tr_multiply(&tr3,&tr1,&tr2);

  tr_setshift(&tr4,scrapptr.x*2*256,scrapptr.y*2*256);

  /* 5=3*4 */

  tr_multiply(&tr5,&tr3,&tr4);

  err=sprite_put_trans((sprite_area*)sprites,&id,0,(sprite_transform *)&tr5,0);

  switchtoscreen();

  toolschangepointer(priority,USERPOINTER,&scrapptr);
#endif
  err=toolschangepointer(priority,USERPOINTER,&insertptr);	// temp fix for missing above
 }
 else
 {
  err=toolschangepointer(priority,USERPOINTER,&insertptr);
 }

 return(err);
}


