/* ->h.DrawCvtTyp
 *
 * Type conversion between external and internal worlds.
 *
 * History:
 * Version 0.0: 22 Nov 88, DAHE: created
 * Version 0.1: 23 Nov 88, DAHE: first working version
 *
 * At present the implementations of the two worlds are the same, so we just
 * use typedef to construct equivalences. If either implementation changes in
 * the future, we will need a thin layer of type conversion instead.
 *
 */

typedef draw_bboxtyp      Draw_bboxtyp;

typedef draw_objhdr       Draw_objhdr;
typedef draw_fileheader   Draw_fileheader;
typedef draw_fontliststr  Draw_fontliststr;
typedef draw_textstr      Draw_textstr;
typedef draw_transtextstr Draw_transtextstr;
typedef draw_pathstr      Draw_pathstr;
typedef draw_spristr      Draw_spristr;
typedef draw_transspristr Draw_transspristr;
typedef draw_groustr      Draw_groustr;
typedef draw_textareahdr  Draw_textareahdr;


