/*->h.tools */


extern int toolboxattached;
extern int toolboxoffscreen;
extern int toolboxposnx;
extern int toolboxposny;
extern int toolboxx;
extern int toolboxy; 
extern int toolsxshift;
extern int toolsyshift;



extern os_error * closetools(viewstr * view,filestr * file);
extern os_error * opentools(viewstr * view,filestr * file);

extern os_error * toolschangeattachment(int newtool);

extern os_error * checktools(viewstr * view,filestr * file);

extern os_error * addtoolstr(viewstr * view);
extern os_error * remtoolstr(viewstr * view);
extern os_error * addfiletools(filestr * file);
extern os_error * remfiletools(filestr * file);


extern os_error * toolsicon(viewstr * view,filestr * file,wimp_mousestr * m);
extern os_error * toolmousemove(int handle,int userhandle,wimp_mousestr * mz);
extern os_error * toolsetcursor(int handle,int userhandle,wimp_mousestr * m,int * set);
extern os_error * toolkey(int * key);
extern os_error * toolcaret(viewstr * view,int gain);

extern os_error * toolredraw(viewredrawstr * v);


#define TOOLDRAGTYPE      0xFFFF

#define TOOLDRAGPAGE      0x1
#define TOOLDRAGWINDOW    0x2
#define TOOLDRAGTRANSFER  0x3
#define TOOLDRAGSCREEN    0x4

#define TOOLDRAGNS        0x10000
#define TOOLDRAGKN        0x20000
#define TOOLDRAGPTR       0x40000
#define TOOLFORCE         0x80000
#define TOOLHLOCK        0x100000
#define TOOLVLOCK        0x200000


extern os_error * toolsstartdrag(posnstr * posn,int flags);
extern os_error * toolsstopdrag(void);


extern os_error * toolnudgekey(int * key);


extern os_error * toolschangepointer(int force,int type,pointstr * pointdata);
extern os_error * toolschangepointer2(int priority,int type,pointstr * pointdata,char * sprites);
extern os_error * toolspointeroff(void);


extern os_error * setinittoolposn(viewstr * view);

extern int        nexttool(void);
extern int        lasttool(void);
extern int        toolcurrent(filestr  * file);
extern int        toolindex(int toolkey);
extern os_error * toolselect(int n,int adjust,viewstr  * view,filestr  * file);


extern os_error * gettoolshandle(viewstr * view,filestr * file,int * handle);
extern os_error * opentoolspane(viewstr * view,filestr * file,wimp_openstr * o,
                                                          windowstr * window);

extern os_error * toolsclip(wimp_openstr * o,viewstr * view,int bits);


extern os_error * toolsaveposn(filestr *  file);

extern int  gettools(int fp);
extern void settools(int fp);
extern void xsettools(int open,viewstr * view);
extern void picktool(int fp);
extern void toolchoices(int fp);
extern void toolrank(int fp);
extern void autoscrollparams(int fp);



typedef struct toolactstr
{
 int object;
 int value;
} toolactstr;


extern os_error * toolactivepoint(filestr * file,toolactstr * act);

extern os_error * toolclaimsubtool(filestr * file,int type);

extern os_error * toolmessage(filestr * file,int message,void * data);


extern int autoscroll(viewstr * view,wimp_mousestr * m);


extern os_error * toolsinit(void);

