/*->c.dbscale */



#include "stdafx.h"

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#include <locale.h>

#include "os.h"
#include "wimp.h"
#include "wimpt.h"
#include "werr.h"
#include "akbd.h"
#include "transform.h"

#include "wos.h"

#include "err.h"
#include "task.h"
#include "xext.h"
#include "poll.h"
#include "key.h"
#include "temp.h"
#include "etc.h"
#include "bf.h"
#include "fsx.h"
#include "timex.h"
#include "bits.h"
#include "conf.h"
#include "dbhi.h"
#include "deb.h"


#include "str.h"

#include "obj.h"

#include "units.h"
#include "reslink.h"
#include "mhi.h"
#include "view.h"
#include "viewo.h"

#include "tools.h"
#include "infopal.h"
#include "buttons.h"
#include "rulers.h"
#include "editpath.h"
#include "xcolour.h"


#include "txext.h"


#include "dbchoices.h"

#include "dbscale.h"


dbstackstr dbviewstack;


dbstackstr * getviewstack(void)
{
 return(&dbviewstack);
}



static viewstr    * cview;

static int          cscale;
static int          cvalue;
static int          oldcvalue;

extern dboxstr      scaleboxdata;



static os_error * scaleclose(int code)
{
 os_error * err;

 err=NULL;

 if(code==DBOK || code==DBAPPLY)
 {
  cview->data.defzoom.mul=CUT(cscale,ZOOMMIN,ZOOMMAX);
  cview->data.defzoom.div=100;
 /* cview->data.zoomopt=cvalue;  set by function below ! */
  err=zoomopt(cview,cvalue);
 }
 return(err);
}



static os_error * vfn(int handle,int userhandle,wimp_mousestr * m)
{

 if((oldcvalue==ZOOMDEF || cvalue==ZOOMDEF) && oldcvalue!=cvalue)
 {
  dbshade(2,cvalue!=ZOOMDEF?(DBSHADEG|DBWRITEG):0,&scaleboxdata);
//  dbshade(3,cvalue==ZOOMDEF?(DBSHADEG|DBWRITEG):0,&scaleboxdata);
 }

 oldcvalue=cvalue;

 return(NULL);

 USE(userhandle);
 USE(handle);
 USE(m);
}



static os_error * xfn(int handle,int userhandle,wimp_mousestr * m)
{
 cvalue=ZOOMDEF;
 dbchangevalue(&cvalue,&scaleboxdata);
 dbchangevalue(&cscale,&scaleboxdata);
 return(vfn(handle,userhandle,m));
}



static os_error * winfn(int handle,int userhandle,wimp_mousestr * m)
{
 int mul;
 int div;

 zoomfitget(cview,&mul,&div);
 cscale=(mul*100)/div;
 return(xfn(handle,userhandle,m));
}



static os_error * scrfn(int handle,int userhandle,wimp_mousestr * m)
{
 int mul;
 int div;

 zoomfitgetscr(cview,&mul,&div,0);
 cscale=(mul*100)/div;
 return(xfn(handle,userhandle,m));
}



static os_error * scrwfn(int handle,int userhandle,wimp_mousestr * m)
{
 int mul;
 int div;

 zoomfitgetscr(cview,&mul,&div,0x1);
 cscale=(mul*100)/div;
 return(xfn(handle,userhandle,m));
}



static os_error * scrhfn(int handle,int userhandle,wimp_mousestr * m)
{
 int mul;
 int div;

 zoomfitgetscr(cview,&mul,&div,0x2);
 cscale=(mul*100)/div;
 return(xfn(handle,userhandle,m));
}




static os_error * scaleout(int value,char * string)
{
 strcpy(string,numbertostring(value));
 return(NULL);
}

static os_error * scalein(int * value,char * string)
{
 return(stringtonumber(string,value));
 return(NULL);
}



static dbiconstr scaleicondefs[]=
{
 /* N   &V           Type     Grp   Flags   Msk Key   -   -   clickfn 0 */

 /* N   &V           Type     Grp   Flags   R   L   D   U     In    Out */

   4, &cscale,      DBWRITE,  2,    DBASSOCINC,      -1, -1, -1,  -1, scalein,scaleout,
   7, &cscale,      DBINC,    2,    0,       1, -1, ZOOMMAX,ZOOMMIN, NULL,   0,
   6, &cscale,      DBDEC,    2,    0,       1, -1, ZOOMMAX,ZOOMMIN, NULL,   0,


 /* N   &V           Type     Grp   Flags   Act Key     - -   clickfn 0 */

   1, NULL,         DBACTION, 0,   0,      DBOK,RETURN, 0,0,    NULL, 0,
   2, NULL,         DBACTION, 0,   0,      DBCANCEL,ESCAPE,0,0, NULL, 0,
  19, NULL,         DBACTION, 0,   0,      DBAPPLY,-1,0,0, NULL, 0,

   0, &cvalue,      DBRADIO,  1,   0,ZOOM50,    F2,     1,0,(dbreadfn)vfn, 0,
  11, &cvalue,      DBRADIO,  1,   0,ZOOM75,    F3,     1,0,(dbreadfn)vfn, 0,
  10, &cvalue,      DBRADIO,  1,   0,ZOOM100,   F4,     1,0,(dbreadfn)vfn, 0,
  12, &cvalue,      DBRADIO,  1,   0,ZOOM150,   F5,     1,0,(dbreadfn)vfn, 0,
  18, &cvalue,      DBRADIO,  1,   0,ZOOM200,   F6,     1,0,(dbreadfn)vfn, 0,
  13, &cvalue,      DBRADIO,  1,   0,ZOOM400,   F7,     1,0,(dbreadfn)vfn, 0,

   3, &cvalue,      DBRADIO,  1,   0,ZOOMDEF,   F8,     1,0,(dbreadfn)vfn, 0,

/*
   8, &cvalue,      DBRADIO,  1,   0,ZOOMFIT,   F9,     1,0,    NULL, 0,
   9, &cvalue,      DBRADIO,  1,   0,ZOOMSCR,   F10,    1,0,    NULL, 0,
*/

   8, &cvalue,      DBACTION, 0,   0,0,         0,      1,0,(dbreadfn)winfn,0,
   9, &cvalue,      DBACTION, 0,   0,0,         0,      1,0,(dbreadfn)scrfn,0,
  15, &cvalue,      DBACTION, 0,   0,0,         0,      1,0,(dbreadfn)scrwfn,0,
  16, &cvalue,      DBACTION, 0,   0,0,         0,      1,0,(dbreadfn)scrhfn,0,


// guess this was to presever caret in window
//  14, &cscale,      DBWRITE,  3,    0,      -1, -1, -1,  -1, NULL, NULL,


  -1, NULL,         0,       0,    0,      0,  0,  0,  0,  0,      0
};



static dboxstr scaleboxdata=
{
 0,
 TSCALE,
 DBFIX,
 0,
 scaleclose,
 NULL,
 NULL,
 NULL,
 scaleicondefs,
 0,
 0
};




/* script function opens the new document dialogue box */

int scale_box(int fp)
{
 int        open;
 static int menuhandle;

 open=stack[fp];

 if(open)
 {
  cview=menuview;
  cvalue=cview->data.zoomopt;
  oldcvalue=(cvalue==ZOOMDEF)?-1:ZOOMDEF;
  cscale=(cview->data.defzoom.mul*100)/cview->data.defzoom.div;
  dodboxparent(&scaleboxdata,1,cview->handle);
  menuhandle=create_dbox(scaleboxdata.handle,menuhandle);
  vfn(menuhandle,0,NULL);
 }
 else
 {


 }

 return(menuhandle);
}



void openzoombox(int fp)
{

 cview=menuview;
 cvalue=cview->data.zoomopt;
 oldcvalue=(cvalue==ZOOMDEF)?-1:ZOOMDEF;
 cscale=(cview->data.defzoom.mul*100)/cview->data.defzoom.div;
 dodboxparent(&scaleboxdata,1,cview->handle);
 vfn(scaleboxdata.handle,0,NULL);

 USE(fp);
}


/*****************************************************************************/

static int toolbox;
static int buttons;
static int rulers;
/* static int tabruler; */
static int infopal;
/* static int colourpal; */
static int pictures;
static int guides;
static int margins;
static int facing;
static int invisible;
static int pasteboard;
static int spellerrors;
static int proxies;


static os_error * viewclose(int code)
{
 os_error * err;
 int        repaint;
 int        dble;

 err=NULL;

 if(code==DBOK || code==DBAPPLY)
 {
  repaint=0;
  dble=0;

/*  cview->data.tabruler=tabruler; */
/*  cview->data.colourpal=colourpal; */

  if(cview->data.pictures!=pictures)
  {
   cview->data.pictures=pictures;
   repaint=1;
  }

  if((cview->data.noproxies!=0)!=(proxies==0))
  {
   cview->data.noproxies=!proxies;
   repaint=1;
  }

  if(cview->data.guides!=guides)
  {
   cview->data.guides=guides;
   repaint=1;
  }

  if(cview->data.margins!=margins)
  {
   cview->data.margins=margins;
   dble=repaint=1;
  }

  if(cview->data.dble!=facing)
  {
   dble=repaint=1;
  }

  if(cview->data.pasteboard!=pasteboard)
  {
   cview->data.pasteboard=pasteboard;
   dble=repaint=1;
  }

  if(cview->data.invisibles!=invisible)
  {
   cview->data.invisibles=invisible;
   repaint=1;
  }

  if((int)cview->data.spell!=spellerrors)
  {
   setspellerrorx(cview,spellerrors);
   repaint=1;
  }


  if(dble)    xsetdouble(cview,facing,repaint);
  else
  if(repaint) refreshview(cview);

//  cprintf("repaint %d",repaint);

  xsetbuttons(buttons,cview);
  xsettools(toolbox,cview);
  xsetinfopal(infopal,cview);
  xsetrulers(rulers,cview);

  updateviewdata(cview);
 }
 return(err);
}


static dbiconstr viewicondefs[]=
{
 /* N   &V           Type     Grp   Flags   Msk Key   -   -   clickfn 0 */

 /* N   &V           Type     Grp   Flags   R   L   D   U     In    Out */

 /* N   &V           Type     Grp   Flags   Act Key     - -   clickfn 0 */

   0, &toolbox,     DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
  11, &buttons,     DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
  15, &rulers,      DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
 /* 3, &tabruler,    DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,*/
   4, &infopal,     DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
 /* 5, &colourpal,   DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0, */
   5, &spellerrors, DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
   6, &pictures,    DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
   7, &guides,      DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
   8, &margins,     DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
   9, &facing,      DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
  10, &invisible,   DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
  12, &pasteboard,  DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,
  13, &proxies,     DBTOGGLE, 1,   0,      1,   F1,     0,0,    NULL, 0,


   1, NULL,         DBACTION, 0,   0,      DBOK,RETURN, 0,0,    NULL, 0,
   2, NULL,         DBACTION, 0,   0,      DBCANCEL,ESCAPE,0,0, NULL, 0,
  16, NULL,         DBACTION, 0,   0,      DBAPPLY,-1,0,0, NULL, 0,

  -1, NULL,         0,       0,    0,      0,  0,  0,  0,  0,      0
};



static dboxstr viewboxdata=
{
 0,
 TVIEW,
 DBFIX,
 0,
 viewclose,
 NULL,
 NULL,
 NULL,
 viewicondefs,
 0,
 0
};


/* script function opens the new document dialogue box */

int view_box(int fp)
{
 int        open;
 static int menuhandle;

 open=stack[fp];

 if(open)
 {
  cview=menuview;

  toolbox=cview->data.tools;
  buttons=cview->data.buttons;
  rulers=cview->data.rulers;
 /* tabruler=cview->data.tabruler; */
  infopal=cview->data.infopal;
 /* colourpal=cview->data.colourpal; */
  spellerrors=cview->data.spell;
  pictures=cview->data.pictures;
  guides=cview->data.guides;
  margins=cview->data.margins;
  facing=cview->data.dble;
  invisible=cview->data.invisibles;
  pasteboard=cview->data.pasteboard;
  proxies=!cview->data.noproxies;

  dodboxparent(&viewboxdata,1,cview->handle);
  menuhandle=create_dbox(viewboxdata.handle,menuhandle);
 }
 else
 {


 }

 return(menuhandle);
}



void openviewbox(int fp)
{
  cview=menuview;

  toolbox=cview->data.tools;
  buttons=cview->data.buttons;
  rulers=cview->data.rulers;
 /* tabruler=cview->data.tabruler; */
  infopal=cview->data.infopal;
 /* colourpal=cview->data.colourpal; */
  spellerrors=cview->data.spell;
  pictures=cview->data.pictures;
  guides=cview->data.guides;
  margins=cview->data.margins;
  facing=cview->data.dble;
  invisible=cview->data.invisibles;
  pasteboard=cview->data.pasteboard;
  proxies=!cview->data.noproxies;

  dodboxparent(&viewboxdata,1,cview->handle);

 USE(fp);
}








void setzoom(int fp)
{
 int opt;

 opt=stack[fp];

 if(opt==ZOOMDEF)
 {
  menuview->data.defzoom.mul=stack[fp+1];
  menuview->data.defzoom.div=stack[fp+2];
 }

 zreport(zoomopt(menuview,opt));
}




