
#define C_OS2 12
#define C_WIN 40

#define C_WIN4 (sizeof(BITMAPV4HEADER))
#define C_WIN5 (sizeof(BITMAPV5HEADER))




#if (WINVER < 0x0500)
typedef struct {
        DWORD        bV5Size;
        LONG         bV5Width;
        LONG         bV5Height;
        WORD         bV5Planes;
        WORD         bV5BitCount;
        DWORD        bV5Compression;
        DWORD        bV5SizeImage;
        LONG         bV5XPelsPerMeter;
        LONG         bV5YPelsPerMeter;
        DWORD        bV5ClrUsed;
        DWORD        bV5ClrImportant;
        DWORD        bV5RedMask;
        DWORD        bV5GreenMask;
        DWORD        bV5BlueMask;
        DWORD        bV5AlphaMask;
        DWORD        bV5CSType;
        CIEXYZTRIPLE bV5Endpoints;
        DWORD        bV5GammaRed;
        DWORD        bV5GammaGreen;
        DWORD        bV5GammaBlue;
        DWORD        bV5Intent;
        DWORD        bV5ProfileData;
        DWORD        bV5ProfileSize;
        DWORD        bV5Reserved;
} BITMAPV5HEADER, FAR *LPBITMAPV5HEADER, *PBITMAPV5HEADER;

// Values for bV5CSType
#define PROFILE_LINKED          'LINK'
#define PROFILE_EMBEDDED        'MBED'
#endif








typedef struct bmphdrstr
{
 int        cbsize;
 short int  xhotspot;
 short int  yhotspot;
 int        offbits;    
 int        cbfix;      /* size of what follows */
} bmphdrstr;


typedef union bmpinfostr
{
 struct
 {
  short int cx;
  short int cy;
  short int cplanes;
  short int bitcount;

 } os2;

 struct
 {
  int       cx;
  int       cy;
  short int cplanes;
  short int bitcount;

  int       compression;
  int       imagesize; /*uncompressed size, can be 0 if compression not used*/
  int       xdpm;
  int       ydpm;
  int       ncolourused;      /* number of palette entries actually used */
                              /* can be 0 for all */
  int       ncolourimportant; /* number of important colours */
                              /* can be 0 for all */
 } windows;




 struct
 {
  int       cx;
  int       cy;
  short int cplanes;
  short int bitcount;

  int       compression;
  int       imagesize; /*uncompressed size, can be 0 if compression not used*/
  int       xdpm;
  int       ydpm;
  int       ncolourused;      /* number of palette entries actually used */
                              /* can be 0 for all */
  int       ncolourimportant; /* number of important colours */
                              /* can be 0 for all */

  int       bV4RedMask;
  int       bV4GreenMask;
  int       bV4BlueMask;
  int       bV4AlphaMask;
  int       bV4CSType;
  CIEXYZTRIPLE bV4Endpoints;
  int       bV4GammaRed;
  int       bV4GammaGreen;
  int       bV4GammaBlue;


 } windows4;


 struct
 {
  int       cx;
  int       cy;
  short int cplanes;
  short int bitcount;

  int       compression;
  int       imagesize; /*uncompressed size, can be 0 if compression not used*/
  int       xdpm;
  int       ydpm;
  int       ncolourused;      /* number of palette entries actually used */
                              /* can be 0 for all */
  int       ncolourimportant; /* number of important colours */
                              /* can be 0 for all */

  int       bV5RedMask;
  int       bV5GreenMask;
  int       bV5BlueMask;
  int       bV5AlphaMask;
  int       bV5CSType;
  CIEXYZTRIPLE bV5Endpoints;
  int       bV5GammaRed;
  int       bV5GammaGreen;
  int       bV5GammaBlue;

  
  int       bV5Intent; 
  int       bV5ProfileData; 
  int       bV5ProfileSize; 
  int       bV5Reserved; 

 } windows5;





} bmpinfostr;


// #define BI_RGB       0
// #define BI_RLE8      1
// #define BI_RLE4      2
// #define BI_BITFIELDS 3
// #define BI_JPEG      4


typedef struct bmpstr
{
 bmphdrstr  hdr;
 bmpinfostr info;

} bmpstr;



