#include <stdafx.h>


#include "os.h"

#include "werr.h"

#include "deb.h"
#include "err.h"
#include "oserr.h"

#include "osthread.h"


/*
  for this stuff to be foolproof we need a multithread memory manager
  event handler etc.

*/




static threadfn    xxtfn;

static DWORD WINAPI threadproc(LPVOID lpParameter)
{
 os_error * err;

 err=xxtfn(lpParameter);

 report(err);

 return(0);
}


os_error * createthread(threadfn xthreadfn,void * param,threadhandle * thread)
{
 HANDLE handle;
 DWORD  threadid;


 xxtfn=xthreadfn;

 handle=CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)threadproc,(LPVOID)param,0,&threadid);

 *thread=(threadhandle)handle;

 return(NULL);
}


// need to call before thread can be lost from memory?

os_error * closethreadhandle(threadhandle handle)
{

 CloseHandle((HANDLE)handle);
 return(NULL);
}



os_error * runexe(char * command,int * exitcode)
{
 os_error           * err;
	STARTUPINFO			       si;
	PROCESS_INFORMATION  pi;
 SECURITY_ATTRIBUTES  sa;


 ZeroMemory(&sa,sizeof(SECURITY_ATTRIBUTES));
 sa.nLength=sizeof(SECURITY_ATTRIBUTES);

	ZeroMemory(&si,sizeof(STARTUPINFO));
 si.cb=sizeof(STARTUPINFO);

	ZeroMemory(&pi,sizeof(PROCESS_INFORMATION));

 err=XCreateProcess(0,command,0,0,TRUE,NORMAL_PRIORITY_CLASS|CREATE_NO_WINDOW,0,0,&si,&pi);
 if(!err)
 {
  WaitForSingleObject(pi.hProcess,INFINITE);

  GetExitCodeProcess(pi.hProcess,(DWORD*)exitcode);

  CloseHandle(pi.hProcess);  // Richter p113
  CloseHandle(pi.hThread);
 }
 return(err);
}



os_error * geterroratom(int atom)
{
 TCHAR buffer[256];

 if(atom>=MAXINTATOM)
 {
  GlobalGetAtomName((ATOM)atom,buffer,sizeof(buffer)/sizeof(TCHAR));
  GlobalDeleteAtom((ATOM)atom);
  return(generror(0,TEXT("%s"),buffer));
 }
 else
 if(atom)
 {
  return(generror(atom,TEXT("Error number %d"),atom));
 }
 else
 {
  return(NULL);
 }
}


