#include <stdafx.h>


#include "os.h"

#include "fsx.h"
#include "timex.h"

#include "deb.h"

#include "ostime.h"


#ifdef NEVER
 {
  SYSTEMTIME st;
  FILETIME   ft;

  memset(&st,0,sizeof(st));
  st.wYear=1900;
  st.wMonth=1;
  st.wDay=1;
  if(SystemTimeToFileTime(&st,&ft))
      cprintf("ftlo %x fthi %x",ft.dwLowDateTime,ft.dwHighDateTime);
 }

#endif




static LARGE_INTEGER osdifftime={0xFDE04000,0x014F373B};


void osfiletime2riscostime(arctime * arctime,FILETIME * ftime)
{
 LARGE_INTEGER li;

 li=*((LARGE_INTEGER*)ftime);
 li.QuadPart-=osdifftime.QuadPart;
 li.QuadPart/=100000;

 arctime->hi=li.HighPart;
 arctime->lo=li.LowPart;
}


void riscostime2osfiletime(FILETIME * ftime,arctime * arctime)
{
 LARGE_INTEGER li;

 li.HighPart=arctime->hi;
 li.LowPart=arctime->lo;

 li.QuadPart*=100000;

 li.QuadPart+=osdifftime.QuadPart;


 *ftime=*((FILETIME*)&li);
}
